Package org.kie.api.task

## Interface TaskLifeCycleEventListener

- All Superinterfaces:
    `java.util.EventListener`

      public interface TaskLifeCycleEventListener
      extends java.util.EventListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `TaskLifeCycleEventListener.AssignmentType` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterTaskActivatedEvent​(TaskEvent event)` |
    `void` | `afterTaskAddedEvent​(TaskEvent event)` |
    `default void` | `afterTaskAssignmentsAddedEvent​(TaskEvent event, TaskLifeCycleEventListener.AssignmentType type, java.util.List<OrganizationalEntity> entities)` |
    `default void` | `afterTaskAssignmentsRemovedEvent​(TaskEvent event, TaskLifeCycleEventListener.AssignmentType type, java.util.List<OrganizationalEntity> entities)` |
    `void` | `afterTaskClaimedEvent​(TaskEvent event)` |
    `void` | `afterTaskCompletedEvent​(TaskEvent event)` |
    `void` | `afterTaskDelegatedEvent​(TaskEvent event)` |
    `void` | `afterTaskExitedEvent​(TaskEvent event)` |
    `void` | `afterTaskFailedEvent​(TaskEvent event)` |
    `void` | `afterTaskForwardedEvent​(TaskEvent event)` |
    `default void` | `afterTaskInputVariableChangedEvent​(TaskEvent event, java.util.Map<java.lang.String,​java.lang.Object> variables)` |
    `void` | `afterTaskNominatedEvent​(TaskEvent event)` |
    `default void` | `afterTaskNotificationEvent​(TaskEvent event)` |
    `default void` | `afterTaskOutputVariableChangedEvent​(TaskEvent event, java.util.Map<java.lang.String,​java.lang.Object> variables)` |
    `default void` | `afterTaskReassignedEvent​(TaskEvent event)` |
    `void` | `afterTaskReleasedEvent​(TaskEvent event)` |
    `void` | `afterTaskResumedEvent​(TaskEvent event)` |
    `void` | `afterTaskSkippedEvent​(TaskEvent event)` |
    `void` | `afterTaskStartedEvent​(TaskEvent event)` |
    `void` | `afterTaskStoppedEvent​(TaskEvent event)` |
    `void` | `afterTaskSuspendedEvent​(TaskEvent event)` |
    `default void` | `afterTaskUpdatedEvent​(TaskEvent event)` |
    `void` | `beforeTaskActivatedEvent​(TaskEvent event)` |
    `void` | `beforeTaskAddedEvent​(TaskEvent event)` |
    `default void` | `beforeTaskAssignmentsAddedEvent​(TaskEvent event, TaskLifeCycleEventListener.AssignmentType type, java.util.List<OrganizationalEntity> entities)` |
    `default void` | `beforeTaskAssignmentsRemovedEvent​(TaskEvent event, TaskLifeCycleEventListener.AssignmentType type, java.util.List<OrganizationalEntity> entities)` |
    `void` | `beforeTaskClaimedEvent​(TaskEvent event)` |
    `void` | `beforeTaskCompletedEvent​(TaskEvent event)` |
    `void` | `beforeTaskDelegatedEvent​(TaskEvent event)` |
    `void` | `beforeTaskExitedEvent​(TaskEvent event)` |
    `void` | `beforeTaskFailedEvent​(TaskEvent event)` |
    `void` | `beforeTaskForwardedEvent​(TaskEvent event)` |
    `default void` | `beforeTaskInputVariableChangedEvent​(TaskEvent event, java.util.Map<java.lang.String,​java.lang.Object> variables)` |
    `void` | `beforeTaskNominatedEvent​(TaskEvent event)` |
    `default void` | `beforeTaskNotificationEvent​(TaskEvent event)` |
    `default void` | `beforeTaskOutputVariableChangedEvent​(TaskEvent event, java.util.Map<java.lang.String,​java.lang.Object> variables)` |
    `default void` | `beforeTaskReassignedEvent​(TaskEvent event)` |
    `void` | `beforeTaskReleasedEvent​(TaskEvent event)` |
    `void` | `beforeTaskResumedEvent​(TaskEvent event)` |
    `void` | `beforeTaskSkippedEvent​(TaskEvent event)` |
    `void` | `beforeTaskStartedEvent​(TaskEvent event)` |
    `void` | `beforeTaskStoppedEvent​(TaskEvent event)` |
    `void` | `beforeTaskSuspendedEvent​(TaskEvent event)` |
    `default void` | `beforeTaskUpdatedEvent​(TaskEvent event)` |

- - ### Method Detail

    - #### beforeTaskActivatedEvent

          void beforeTaskActivatedEvent​(TaskEvent event)

    - #### beforeTaskClaimedEvent

          void beforeTaskClaimedEvent​(TaskEvent event)

    - #### beforeTaskSkippedEvent

          void beforeTaskSkippedEvent​(TaskEvent event)

    - #### beforeTaskStartedEvent

          void beforeTaskStartedEvent​(TaskEvent event)

    - #### beforeTaskStoppedEvent

          void beforeTaskStoppedEvent​(TaskEvent event)

    - #### beforeTaskCompletedEvent

          void beforeTaskCompletedEvent​(TaskEvent event)

    - #### beforeTaskFailedEvent

          void beforeTaskFailedEvent​(TaskEvent event)

    - #### beforeTaskAddedEvent

          void beforeTaskAddedEvent​(TaskEvent event)

    - #### beforeTaskExitedEvent

          void beforeTaskExitedEvent​(TaskEvent event)

    - #### beforeTaskReleasedEvent

          void beforeTaskReleasedEvent​(TaskEvent event)

    - #### beforeTaskResumedEvent

          void beforeTaskResumedEvent​(TaskEvent event)

    - #### beforeTaskSuspendedEvent

          void beforeTaskSuspendedEvent​(TaskEvent event)

    - #### beforeTaskForwardedEvent

          void beforeTaskForwardedEvent​(TaskEvent event)

    - #### beforeTaskDelegatedEvent

          void beforeTaskDelegatedEvent​(TaskEvent event)

    - #### beforeTaskNominatedEvent

          void beforeTaskNominatedEvent​(TaskEvent event)

    - #### beforeTaskUpdatedEvent

          default void beforeTaskUpdatedEvent​(TaskEvent event)

    - #### beforeTaskReassignedEvent

          default void beforeTaskReassignedEvent​(TaskEvent event)

    - #### beforeTaskNotificationEvent

          default void beforeTaskNotificationEvent​(TaskEvent event)

    - #### beforeTaskInputVariableChangedEvent

          default void beforeTaskInputVariableChangedEvent​(TaskEvent event,
                                                           java.util.Map<java.lang.String,​java.lang.Object> variables)

    - #### beforeTaskOutputVariableChangedEvent

          default void beforeTaskOutputVariableChangedEvent​(TaskEvent event,
                                                            java.util.Map<java.lang.String,​java.lang.Object> variables)

    - #### beforeTaskAssignmentsAddedEvent

          default void beforeTaskAssignmentsAddedEvent​(TaskEvent event,
                                                       TaskLifeCycleEventListener.AssignmentType type,
                                                       java.util.List<OrganizationalEntity> entities)

    - #### beforeTaskAssignmentsRemovedEvent

          default void beforeTaskAssignmentsRemovedEvent​(TaskEvent event,
                                                         TaskLifeCycleEventListener.AssignmentType type,
                                                         java.util.List<OrganizationalEntity> entities)

    - #### afterTaskActivatedEvent

          void afterTaskActivatedEvent​(TaskEvent event)

    - #### afterTaskClaimedEvent

          void afterTaskClaimedEvent​(TaskEvent event)

    - #### afterTaskSkippedEvent

          void afterTaskSkippedEvent​(TaskEvent event)

    - #### afterTaskStartedEvent

          void afterTaskStartedEvent​(TaskEvent event)

    - #### afterTaskStoppedEvent

          void afterTaskStoppedEvent​(TaskEvent event)

    - #### afterTaskCompletedEvent

          void afterTaskCompletedEvent​(TaskEvent event)

    - #### afterTaskFailedEvent

          void afterTaskFailedEvent​(TaskEvent event)

    - #### afterTaskAddedEvent

          void afterTaskAddedEvent​(TaskEvent event)

    - #### afterTaskExitedEvent

          void afterTaskExitedEvent​(TaskEvent event)

    - #### afterTaskReleasedEvent

          void afterTaskReleasedEvent​(TaskEvent event)

    - #### afterTaskResumedEvent

          void afterTaskResumedEvent​(TaskEvent event)

    - #### afterTaskSuspendedEvent

          void afterTaskSuspendedEvent​(TaskEvent event)

    - #### afterTaskForwardedEvent

          void afterTaskForwardedEvent​(TaskEvent event)

    - #### afterTaskDelegatedEvent

          void afterTaskDelegatedEvent​(TaskEvent event)

    - #### afterTaskNominatedEvent

          void afterTaskNominatedEvent​(TaskEvent event)

    - #### afterTaskReassignedEvent

          default void afterTaskReassignedEvent​(TaskEvent event)

    - #### afterTaskUpdatedEvent

          default void afterTaskUpdatedEvent​(TaskEvent event)

    - #### afterTaskNotificationEvent

          default void afterTaskNotificationEvent​(TaskEvent event)

    - #### afterTaskInputVariableChangedEvent

          default void afterTaskInputVariableChangedEvent​(TaskEvent event,
                                                          java.util.Map<java.lang.String,​java.lang.Object> variables)

    - #### afterTaskOutputVariableChangedEvent

          default void afterTaskOutputVariableChangedEvent​(TaskEvent event,
                                                           java.util.Map<java.lang.String,​java.lang.Object> variables)

    - #### afterTaskAssignmentsAddedEvent

          default void afterTaskAssignmentsAddedEvent​(TaskEvent event,
                                                      TaskLifeCycleEventListener.AssignmentType type,
                                                      java.util.List<OrganizationalEntity> entities)

    - #### afterTaskAssignmentsRemovedEvent

          default void afterTaskAssignmentsRemovedEvent​(TaskEvent event,
                                                        TaskLifeCycleEventListener.AssignmentType type,
                                                        java.util.List<OrganizationalEntity> entities)